curl --request PATCH \
--url https://api.quo.com/v1/contacts/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "664d0db69fcac7cf2e6ec",
"source": "public-api",
"sourceUrl": "https://openphone.co/contacts/664d0db69fcac7cf2e6ec",
"defaultFields": {
"company": "Quo",
"emails": [
{
"name": "company email",
"value": "info@openphone.com",
"id": "acb123"
}
],
"firstName": "John",
"lastName": "Doe",
"phoneNumbers": [
{
"name": "company phone",
"value": "+15555555555",
"id": "acb123"
}
],
"role": "Sales"
},
"customFields": [
{
"value": [
"option1",
"option2"
],
"key": "inbound-lead",
"id": "66d0d87d534de8fd1c433cec3"
}
]
}
'{
"data": {
"id": "664d0db69fcac7cf2e6ec",
"externalId": "664d0db69fcac7cf2e6ec",
"source": "public-api",
"sourceUrl": "https://openphone.co/contacts/664d0db69fcac7cf2e6ec",
"defaultFields": {
"company": "Quo",
"emails": [
{
"name": "company email",
"value": "abc@example.com",
"id": "acb123"
}
],
"firstName": "John",
"lastName": "Doe",
"phoneNumbers": [
{
"name": "company phone",
"value": "+12345678901",
"id": "acb123"
}
],
"role": "Sales"
},
"customFields": [
{
"name": "Inbound Lead",
"type": "multi-select",
"value": [
"option1",
"option2"
],
"key": "inbound-lead"
}
],
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z",
"createdByUserId": "US123abc"
}
}{
"message": "<string>",
"code": "0800400",
"status": 400,
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"error": {
"message": "<string>",
"key": "Unauthorized",
"trace": "<string>"
}
}{
"message": "<string>",
"code": "0800403",
"status": 403,
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0800404",
"status": 404,
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0800409",
"status": 409,
"docs": "https://quo.com/docs",
"title": "Conflict",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0800500",
"status": 500,
"docs": "https://quo.com/docs",
"title": "Unexpected",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}Update a contact by ID
Modify an existing contact in your Quo workspace using the contact’s unique identifier. This endpoint replaces the contact rather than merging into it: any defaultFields.emails, defaultFields.phoneNumbers or customFields you omit from the request body is deleted on the contact. Always send the full set of fields, emails, and phone numbers you want the contact to have, not just the ones you’re changing.
curl --request PATCH \
--url https://api.quo.com/v1/contacts/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "664d0db69fcac7cf2e6ec",
"source": "public-api",
"sourceUrl": "https://openphone.co/contacts/664d0db69fcac7cf2e6ec",
"defaultFields": {
"company": "Quo",
"emails": [
{
"name": "company email",
"value": "info@openphone.com",
"id": "acb123"
}
],
"firstName": "John",
"lastName": "Doe",
"phoneNumbers": [
{
"name": "company phone",
"value": "+15555555555",
"id": "acb123"
}
],
"role": "Sales"
},
"customFields": [
{
"value": [
"option1",
"option2"
],
"key": "inbound-lead",
"id": "66d0d87d534de8fd1c433cec3"
}
]
}
'{
"data": {
"id": "664d0db69fcac7cf2e6ec",
"externalId": "664d0db69fcac7cf2e6ec",
"source": "public-api",
"sourceUrl": "https://openphone.co/contacts/664d0db69fcac7cf2e6ec",
"defaultFields": {
"company": "Quo",
"emails": [
{
"name": "company email",
"value": "abc@example.com",
"id": "acb123"
}
],
"firstName": "John",
"lastName": "Doe",
"phoneNumbers": [
{
"name": "company phone",
"value": "+12345678901",
"id": "acb123"
}
],
"role": "Sales"
},
"customFields": [
{
"name": "Inbound Lead",
"type": "multi-select",
"value": [
"option1",
"option2"
],
"key": "inbound-lead"
}
],
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z",
"createdByUserId": "US123abc"
}
}{
"message": "<string>",
"code": "0800400",
"status": 400,
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"error": {
"message": "<string>",
"key": "Unauthorized",
"trace": "<string>"
}
}{
"message": "<string>",
"code": "0800403",
"status": 403,
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0800404",
"status": 404,
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0800409",
"status": 409,
"docs": "https://quo.com/docs",
"title": "Conflict",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}{
"message": "<string>",
"code": "0800500",
"status": 500,
"docs": "https://quo.com/docs",
"title": "Unexpected",
"trace": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"schema": {
"type": "<string>"
},
"value": "<unknown>"
}
]
}Path Parameters
Body
A unique identifier from an external system that can optionally be supplied when creating a contact. This ID is used to associate the contact with records in other systems and is required for retrieving the contact later via the "List Contacts" endpoint. Ensure the externalId is unique and consistent across systems for accurate cross-referencing.
1 - 75"664d0db69fcac7cf2e6ec"
Was this page helpful?